"""
FECoM (Fine-Grained Energy Consumption Measurement) is a Python framework for fine-grained energy measurement in deep learning projects. It provides tools and utilities to accurately measure and analyze energy consumption at the method-level granularity within deep learning code.

FECoM uses static instrumentation to instrument the code, allowing for precise measurement of energy consumption for individual API calls. It addresses various challenges and considerations related to energy measurement in deep learning, such as instrumentation overhead, noise in measurement, and hardware compatibility.

This module contains the core functionality of the FECoM framework, including energy measurement and data analysis tools. For more information and usage instructions, please refer to the project documentation.
"""
__version__ = "1.0.0"
